#!/bin/bash

MIRROR_URL="http://172.29.220.242/mirror/kylin"

ROOTFS_DIR="/var/tmp/rootfs-kylin-amd64"

# [ -d ${ROOTFS_DIR} ] && sudo rm -rf ${ROOTFS_DIR}

function min() {
    sudo debootstrap --no-check-gpg --variant=minbase \
        --components="main,restricted,universe,multiverse" \
        v101 "${ROOTFS_DIR}-min" "${MIRROR_URL}" gutsy
}

function def() {
    sudo debootstrap --no-check-gpg --arch=amd64 --keep-debootstrap-dir \
        --components="main,restricted,universe,multiverse" \
        v101 "${ROOTFS_DIR}" "${MIRROR_URL}" gutsy
}

# 第一阶段
function fir() {
    sudo debootstrap --no-check-gpg --arch=amd64 --foreign --keep-debootstrap-dir \
        --components="main,restricted,universe,multiverse" \
        v101 "${ROOTFS_DIR}-fir" "${MIRROR_URL}" gutsy
}

function deb() {
    sudo debootstrap --no-check-gpg --arch=amd64 --print-debs --keep-debootstrap-dir \
        --components="main,restricted,universe,multiverse" \
        v101 "${ROOTFS_DIR}" "${MIRROR_URL}" gutsy
}

# 判断参数个数
if [ $# -eq 0 ]; then
    grep "^function " $(readlink -f $0) | awk -F '[( )]' '{print $2}'
fi

$1
